Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -10956,14 +10846,14 @@
         do il=1,ncas
          ! changement: >0 -> >ridicule*1e-2
-         if (Pqisup_cas(il).gt.ridicule*1e-2) then
+         if (Pqisup_cas(il).gt.ridicule*1e-2) THEN
             do ixt=1,niso  
               Risup(ixt,il)=Pxtisup_cas(ixt,il)/Pqisup_cas(il)
               xtwater_cas(ixt,il)=water_cas(il)*Risup(ixt,il)
             enddo !do ixt=1,niso
-         else !if (Pqisup.gt.0.0) then
+         else !if (Pqisup.gt.0.0) THEN
            do ixt=1,niso
             xtwater_cas(ixt,il)=water_cas(il)*Rdefault(ixt)
            enddo !do ixt=1,niso  
-         endif  !if (Pqisup.gt.0.0) then  
+         endif  !if (Pqisup.gt.0.0) THEN
         enddo !do il=1,ncas_noevap 
 
@@ -10976,8 +10866,8 @@
                   'appel_stewart_np 286')
               if (iso_verif_noNaN_nostop(xtwater_cas(ixt,il), &
-                  'appel_stewart_np 1594').eq.1) then
-                 write(*,*) 'il,ixt=',il,ixt
-                 write(*,*) 'water_cas(il)=',water_cas(il)
-                 write(*,*) 'Pxtisup_cas(ixt,il),Pqisup_cas(il)=', &
+                  'appel_stewart_np 1594').eq.1) THEN
+                 WRITE(*,*) 'il,ixt=',il,ixt
+                 WRITE(*,*) 'water_cas(il)=',water_cas(il)
+                 WRITE(*,*) 'Pxtisup_cas(ixt,il),Pqisup_cas(il)=', &
                   Pxtisup_cas(ixt,il),Pqisup_cas(il)
                  stop
@@ -10987,5 +10877,5 @@
 #endif
 #ifdef ISOVERIF   
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             do il=1,ncas
               CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
@@ -10993,12 +10883,12 @@
                 errmax,errmaxrel)
               if ((xtwater_cas(iso_eau,il).eq.0).and. &
-                (water_cas(il).gt.ridicule)) then
-               write(*,*) 'appel_stewart_np 263.2, cas 1.1'
-               write(*,*) 'xtwater(iso_eau,il)=',xtwater_cas(iso_eau,il)
-               write(*,*) 'water(il)=',water_cas(il)
+                (water_cas(il).gt.ridicule)) THEN
+               WRITE(*,*) 'appel_stewart_np 263.2, cas 1.1'
+               WRITE(*,*) 'xtwater(iso_eau,il)=',xtwater_cas(iso_eau,il)
+               WRITE(*,*) 'water(il)=',water_cas(il)
                stop
               endif
-              if (oktrac.eq.0) then
-!                  write(*,*) 'appel_stewart_np 1743 noevap tmp: il=',il
+              if (oktrac.eq.0) THEN
+!                  WRITE(*,*) 'appel_stewart_np 1743 noevap tmp: il=',il
              CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
                 qp_cas(il) &
@@ -11008,18 +10898,18 @@
                 'appel_stewart_np 275.2, cas 1.1', &
                 errmax,errmaxrel)
-             endif !if (oktrac.eq.0) then
+             endif !if (oktrac.eq.0) THEN
              enddo !do il=1,ncas
-            endif ! if (iso_eau.gt.0) then
-            if (oktrac.eq.0) then
-            if (iso_HDO.gt.0) then
+            endif ! if (iso_eau.gt.0) THEN
+            if (oktrac.eq.0) THEN
+            if (iso_HDO.gt.0) THEN
               do il=1,ncas
-                if (qp_cas(il).gt.ridicule) then              
+                if (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
                 'appel_stewart_np 613')
-                endif !if (qp(cas_noevap(il),i).gt.ridicule) then   
+                endif !if (qp(cas_noevap(il),i).gt.ridicule) THEN
               enddo !do il=1,ncas 
-            endif  ! if (iso_HDO.gt.0) then
-            endif !if (oktrac.eq.0) then
+            endif  ! if (iso_HDO.gt.0) THEN
+            endif !if (oktrac.eq.0) THEN
 #endif           
 
@@ -11051,5 +10941,5 @@
 USE isotopes_verif_mod
 #ifdef ISOTRAC
-  USE isotrac_mod, only: ridicule_trac
+  USE isotrac_mod, ONLY: ridicule_trac
 #endif
 #endif
@@ -11105,13 +10995,13 @@
 
 #ifdef ISOVERIF
-!        if (ncas.ge.162) then
-!        write(*,*) 'appel tmp 1975: xtp_avantevap_cas(iso_eau,162)=',
+!        if (ncas.ge.162) THEN
+!        WRITE(*,*) 'appel tmp 1975: xtp_avantevap_cas(iso_eau,162)=',
 !     :           xtp_avantevap_cas(iso_eau,162)
-!        write(*,*) 'appel tmp 1975b: qp_avantevap_cas(162)=',
+!        WRITE(*,*) 'appel tmp 1975b: qp_avantevap_cas(162)=',
 !     :           qp_avantevap_cas(162)
-!        endif !if (ncas_evap_liq.ge.162) then
-      if (iso_eau.gt.0) then
+!        endif !if (ncas_evap_liq.ge.162) THEN
+      if (iso_eau.gt.0) THEN
           do il=1,ncas
-!            write(*,*) 'appel tmp 1492: il=',il
+!            WRITE(*,*) 'appel tmp 1492: il=',il
             CALL iso_verif_egalite_choix( &
              (xtp_avantevap_cas(iso_eau,il)), &
@@ -11130,5 +11020,5 @@
              (Eqi_stewart(il)),'appel_stewart_np 1908')
            enddo !do il=1,ncas
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
        do il=1,ncas
           CALL iso_verif_positif((Eqi_stewart(il)), &
@@ -11139,10 +11029,10 @@
 #ifdef ISOTRAC       
        ! à l'avenir, il faudra faire les choses plus proprement!
-       if (oktrac.eq.1) then
+       if (oktrac.eq.1) THEN
            ! on renormalise le flux de précip et d'évap
            ! on suppose que la seule différence entre les différentes
            ! zones, c'est la compo du liquide
            do il=1,ncas
-            if (ptrac(il).gt.1e-20) then
+            if (ptrac(il).gt.1e-20) THEN
              Pqisup_cas(il)=Pqisup_cas(il)/ptrac(il)
              Eqi_stewart(il)=Eqi_stewart(il)/ptrac(il)
@@ -11151,5 +11041,5 @@
                Pxtisup_cas(ixt,il)=Pxtisup_cas(ixt,il)/ptrac(il)
              enddo
-            else !if (ptrac(il).gt.0.0) then
+            else !if (ptrac(il).gt.0.0) THEN
 #ifdef ISOVERIF                
              CALL iso_verif_egalite((Pqisup_cas(il)), &
@@ -11166,11 +11056,11 @@
                Pxtisup_cas(ixt,il)=0.0
              enddo   
-            endif !if (ptrac(il).gt.0.0) then
+            endif !if (ptrac(il).gt.0.0) THEN
            enddo !do il=1,ncas
-       endif !if (oktrac.eq.1) then
+       endif !if (oktrac.eq.1) THEN
 #endif       
         
 
-        if (no_pce.eq.1) then
+        if (no_pce.eq.1) THEN
             CALL stewart_sublim_nofrac_vectall( &
              ncas,qp_avantevap_cas(1), &
@@ -11179,6 +11069,5 @@
              Pxtiinf_stewart(1,1),xtnew(1,1),Exi_stewart(1,1), &
              fac_ftmr_cas(1))
-        else !if (no_pce.eq.1) then
-            
+        else !if (no_pce.eq.1) THEN
       CALL stewart_explicite_vectall(ncas, &
              qp_avantevap_cas(1),xtp_avantevap_cas(1,1), &
@@ -11193,9 +11082,8 @@
 #endif
         )
-         endif !if (no_pce.eq.1) then
-
+         endif !if (no_pce.eq.1) THEN
 #ifdef ISOTRAC      
       ! à l'avenir, il faudra faire les choses plus proprement!
-      if (oktrac.eq.1) then
+      if (oktrac.eq.1) THEN
            ! on renormalise le flux de précip et d'évap
            ! on suppose que la seule différence entre les différentes
@@ -11214,9 +11102,9 @@
              hdiag(il)=qeff(il)/qs_cas(il)
            enddo !do il=1,ncas
-       endif !if (oktrac.eq.1) then
-#endif
-
-#ifdef ISOVERIF
-       if (iso_eau.gt.0) then
+       endif !if (oktrac.eq.1) THEN
+#endif
+
+#ifdef ISOVERIF
+       if (iso_eau.gt.0) THEN
           do il=1,ncas     
                 CALL iso_verif_egalite_choix( &
@@ -11230,11 +11118,11 @@
                 'appel_stewart_np 586', &
                 errmax,errmaxrel)
-                if (Pqiinf_stewart(il).gt.ridicule) then
+                if (Pqiinf_stewart(il).gt.ridicule) THEN
                   CALL iso_verif_egalite_choix(( &
                    Pxtiinf_stewart(iso_eau,il)/Pqiinf_stewart(il)), &
                    1.,'appel_setwart 575a', errmax*10, errmaxrel*10)
-                endif !if (Pqiinf_par.gt.ridicule) then
+                endif !if (Pqiinf_par.gt.ridicule) THEN
            enddo !do il=1,ncas     
-        endif !if (iso_eau.gt.0) then  
+        endif !if (iso_eau.gt.0) THEN
 #endif  
 #ifdef ISOVERIF
@@ -11257,15 +11145,15 @@
         ! qui sort de la boite i (Pqiinf_par)
         do il=1,ncas
-          if (abs(water_cas(il)).lt.ridicule/10.) then
+          if (abs(water_cas(il)).lt.ridicule/10.) THEN
             do ixt=1,niso
                xtwater_cas(ixt,il)=0.0
             enddo !do ixt=1,niso
-          else !if (water(il,i).eq.0.0) then
-             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) then 
+          else !if (water(il,i).eq.0.0) THEN
+             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
                do ixt=1,niso 
                  xtwater_cas(ixt,il)=water_cas(il) &
                    *Pxtiinf_stewart(ixt,il)/Pqiinf_stewart(il)
                enddo
-             else !if (Pxtiinf_stewart(iso_eau).gt.0.0) then
+             else !if (Pxtiinf_stewart(iso_eau).gt.0.0) THEN
                  ! normalement, ce cas a déjà été interdit dans
                  ! compress_evp_glace
@@ -11274,5 +11162,5 @@
                 enddo !do ixt=1,niso
              endif
-           endif !if (water(il,i).eq.0.0) then
+           endif !if (water(il,i).eq.0.0) THEN
          enddo !do il=1,ncas
         
@@ -11283,24 +11171,24 @@
                'appel_stewart_np 566')
         enddo !do ixt=1,niso
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart_np 568',errmax,errmaxrel)
-         if (water_cas(il).gt.ridicule*10) then
+         if (water_cas(il).gt.ridicule*10) THEN
              if (iso_verif_egalite_choix_nostop( &
                 xtwater_cas(iso_eau,il)/water_cas(il),1.0, &
-                'appel stewart 155',errmax*10,errmaxrel*10).eq.1) then
-!               write(*,*) 'i=',i
-               write(*,*) 'Tevap=',T_cas(il)
-               write(*,*) 'xtwater(iso_eau,il,i)=', &
+                'appel stewart 155',errmax*10,errmaxrel*10).eq.1) THEN
+!               WRITE(*,*) 'i=',i
+               WRITE(*,*) 'Tevap=',T_cas(il)
+               WRITE(*,*) 'xtwater(iso_eau,il,i)=', &
                         xtwater_cas(iso_eau,il)
-               write(*,*) 'water(il,i)=',water_cas(il)
-               write(*,*) 'Pxtiinf_stewart(iso_eau)=', &
+               WRITE(*,*) 'water(il,i)=',water_cas(il)
+               WRITE(*,*) 'Pxtiinf_stewart(iso_eau)=', &
                          Pxtiinf_stewart(iso_eau,il)
-!               write(*,*) 'Pqiinf_par,Pqiinf_stewart=',
+!               WRITE(*,*) 'Pqiinf_par,Pqiinf_stewart=',
 !     :              Pqiinf_par(cas_evap_liq(il)),Pqiinf_stewart(il)
                stop
              endif  !if (iso_verif_egalite_nostop(
-         endif !if (water(il,i).gt.ridicule) then
-        endif !if (iso_eau.gt.0) then
+         endif !if (water(il,i).gt.ridicule) THEN
+        endif !if (iso_eau.gt.0) THEN
        enddo !do il=1,ncas
 #endif
@@ -11311,5 +11199,5 @@
         ! calcule xtevapi.    
        do il=1,ncas
-        if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) then
+        if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
             ! changement le 20avril 2012: >0 -> >ridicule
          do ixt=1,niso          
@@ -11318,5 +11206,5 @@
                 /100/delP_cas(il)/sigd(il)*g
          enddo ! do ixt=1,niso
-        else !if (Eqi_stewart.gt.0.0) then
+        else !if (Eqi_stewart.gt.0.0) THEN
             ! il peut quand même y a voir de la diffusion
             do ixt=1,niso
@@ -11324,5 +11212,5 @@
                 /100.0/delP_cas(il)/sigd(il)*g
             enddo !do ixt=1,niso    
-        endif !if (Eqi_stewart.gt.0.0) then
+        endif !if (Eqi_stewart.gt.0.0) THEN
        enddo !do il=1,ncas
       
@@ -11333,10 +11221,10 @@
           'appel stewart 131').eq.1).or. &
            (iso_verif_noNAN_nostop(xtnew(ixt,il), &
-          'appel stewart 131b').eq.1)) then
-           write(*,*) 'Exi_stewart(ixt,il)=',Exi_stewart(ixt,il)
-           write(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)     
-           write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)    
-           write(*,*) 'Eqi_cas(il)=',Eqi_cas(il)     
-           write(*,*) 'xtevap_cas(ixt,il)=',xtevap_cas(ixt,il)
+          'appel stewart 131b').eq.1)) THEN
+           WRITE(*,*) 'Exi_stewart(ixt,il)=',Exi_stewart(ixt,il)
+           WRITE(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
+           WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+           WRITE(*,*) 'Eqi_cas(il)=',Eqi_cas(il)
+           WRITE(*,*) 'xtevap_cas(ixt,il)=',xtevap_cas(ixt,il)
            stop
          endif
@@ -11346,28 +11234,28 @@
 #ifdef ISOVERIF
       do il=1,ncas
-        if (oktrac.eq.0) then 
+        if (oktrac.eq.0) THEN
             ! dans le cas traceur, le calcul de evap_cas est plus
             ! compliqué: il faut le faire plus proprement dans
             ! compress_stewart
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
                  evap_cas(il),'appel stewart 142', &
-                errmax,errmaxrel).eq.1) then
-              write(*,*) 'il=',il
-              write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-              write(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
-              write(*,*) 'Exi_stewart(iso_eau,il)=', &
+                errmax,errmaxrel).eq.1) THEN
+              WRITE(*,*) 'il=',il
+              WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+              WRITE(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
+              WRITE(*,*) 'Exi_stewart(iso_eau,il)=', &
                 Exi_stewart(iso_eau,il)
-              write(*,*) '1/100/delP_cas(il)/sigd(il)*g*2=', &
+              WRITE(*,*) '1/100/delP_cas(il)/sigd(il)*g*2=', &
                  1.0/100.0/delP_cas(il)/sigd(il)*g*2.0
-              write(*,*) 'xtevapsup_cas(iso_eau,il)=', &
+              WRITE(*,*) 'xtevapsup_cas(iso_eau,il)=', &
                 xtevapsup_cas(iso_eau,il)
               stop
             endif
-        endif !if (iso_eau.gt.0) then
-        endif !if (oktrac.eq.0) then 
+        endif !if (iso_eau.gt.0) THEN
+        endif !if (oktrac.eq.0) THEN
 #ifdef ISOTRAC
-        if (oktrac.eq.1) then 
-        if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
+        if (oktrac.eq.1) THEN
+        if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
              CALL iso_verif_aberrant_choix( &
                 (xtp_avantevaptrac_cas(iso_HDO,il)), &
@@ -11375,5 +11263,5 @@
                 ridicule_trac,deltalimtrac, &
                 'appel_stewart_np 2053')
-        endif !if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
+        endif !if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
         endif
 #endif
@@ -11384,7 +11272,7 @@
       
       do il=1,ncas
-       if (i.lt.INB_cas(il)) then
-          if (fac_ftmr_cas(il).gt.0.0) then
-             if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) then 
+       if (i.lt.INB_cas(il)) THEN
+          if (fac_ftmr_cas(il).gt.0.0) THEN
+             if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
                do ixt=1,niso               
                !   xtp(ixt,il,i)=xtnew(ixt)*qp(il,i)/xtnew(4)
@@ -11393,14 +11281,13 @@
                      *Exi_stewart(ixt,il)/Eqi_stewart(il),0.0)
                enddo !do ixt=1,niso
-             else ! if (Eqi_stewart.gt.ridicule) then
-                if (qp_cas(il).gt.0.0) then 
-
+             else ! if (Eqi_stewart.gt.ridicule) THEN
+                if (qp_cas(il).gt.0.0) THEN
                     if (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule) &
-                         then
+                         THEN
                         ! il va manquer quelque chose: il faut augmenter
                         ! xtp en lui ajoutant l'évap du niveau d'eau
                         ! dessus
                         ! pour l'instant, on bidouille:
-!                        write(*,*) 'appel_stewart_np 2041: il=',il
+!                        WRITE(*,*) 'appel_stewart_np 2041: il=',il
                         do ixt=1,niso               
                         xtnew(ixt,il)=xtnew(ixt,il) &
@@ -11419,34 +11306,33 @@
                       ! modif 1 mai 2009, pour le cas des traceurs
                     enddo !do ixt=1,niso
-!                    write(*,*) 'appel_stewart_np 1963 tmp: ',
+!                    WRITE(*,*) 'appel_stewart_np 1963 tmp: ',
 !     :                  'xtp_cas(iso_eau,il)=',xtp_cas(iso_eau,il)
-                else !if (qp(il,i).gt.0.0) then 
+                else !if (qp(il,i).gt.0.0) THEN
                   do ixt=1,niso               
                     xtp_cas(ixt,il)=0.0
                   enddo !do ixt=1,niso
-                endif  !if (qp(il,i).gt.0.0) then 
-            endif !if (Eqi_stewart.gt.ridicule) then 
-
+                endif  !if (qp(il,i).gt.0.0) THEN
+            endif !if (Eqi_stewart.gt.ridicule) THEN
 #ifdef ISOVERIF       
-!            if (il.eq.87) then
-!                write(*,*) 'appel_stewart_np 2244: tmp, après calcul xtp'
-!                write(*,*) 'xtnew(:,il)=',xtnew(:,il)
-!                write(*,*) 'Pxtiinf_stewart(:,il)=',
+!            if (il.eq.87) THEN
+!                WRITE(*,*) 'appel_stewart_np 2244: tmp, après calcul xtp'
+!                WRITE(*,*) 'xtnew(:,il)=',xtnew(:,il)
+!                WRITE(*,*) 'Pxtiinf_stewart(:,il)=',
 !     :             Pxtiinf_stewart(:,il)
-!            endif  !if (il.eq.87) then    
+!            endif  !if (il.eq.87) THEN
             do ixt=1,niso
               if (iso_verif_noNAN_nostop(xtp_cas(ixt,il), &
-                       'appel stewart 684').eq.1) then
-                write(*,*) 'i,INB_cas(il)=',i,INB_cas(il)
-                write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-                write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-                write(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
-                write(*,*) 'xtp_avantevaptrac_cas(ixt,il)=', &
+                       'appel stewart 684').eq.1) THEN
+                WRITE(*,*) 'i,INB_cas(il)=',i,INB_cas(il)
+                WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+                WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+                WRITE(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
+                WRITE(*,*) 'xtp_avantevaptrac_cas(ixt,il)=', &
                        xtp_avantevaptrac_cas(ixt,i)
-                write(*,*) 'Exi_stewart(ixt,il)=',Exi_stewart(ixt,il)
-                write(*,*) 'xtnew(ixt,il)=',xtnew(ixt,il)
-                write(*,*) 'xtp_avantevap_cas(ixt,il)=', &
+                WRITE(*,*) 'Exi_stewart(ixt,il)=',Exi_stewart(ixt,il)
+                WRITE(*,*) 'xtnew(ixt,il)=',xtnew(ixt,il)
+                WRITE(*,*) 'xtp_avantevap_cas(ixt,il)=', &
                        xtp_avantevap_cas(ixt,il)
-                write(*,*) 'qp_cas(il)=',qp_cas(il)
+                WRITE(*,*) 'qp_cas(il)=',qp_cas(il)
                 stop
               endif !if (iso_verif_noNAN(xtp_cas(ixt,il),
@@ -11455,6 +11341,6 @@
 #ifdef ISOVERIF  
 #ifdef ISOTRAC 
-            if (oktrac.eq.1) then
-            if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) then
+            if (oktrac.eq.1) THEN
+            if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
                 ! le 10 mai 2009: on remonte le seuil de vérif de deltaD
                 ! aberrant car dans le cas des traceurs, des très
@@ -11465,28 +11351,28 @@
                 xtp_cas(iso_HDO,il),xtp_cas(iso_eau,il), &
                 ridicule_trac,deltalimtrac, &
-                'appel_stewart_np 2090').eq.1) then
-                  write(*,*) 'xtp_avantevaptrac_cas(iso_eau),deltaD=', &
+                'appel_stewart_np 2090').eq.1) THEN
+                  WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau),deltaD=', &
                    xtp_avantevaptrac_cas(iso_eau,il),deltaD &
                    ((xtp_avantevaptrac_cas(iso_HDO,il)) &
                    /(xtp_avantevaptrac_cas(iso_eau,il)))
-                  write(*,*) 'xtp_avantevap_cas(iso_eau),deltaD=', &
+                  WRITE(*,*) 'xtp_avantevap_cas(iso_eau),deltaD=', &
                    xtp_avantevap_cas(iso_eau,il),deltaD &
                    ((xtp_avantevap_cas(iso_HDO,il)) &
                    /(xtp_avantevap_cas(iso_eau,il)))
-                  write(*,*) 'xtnew(iso_eau),deltaD=', &
+                  WRITE(*,*) 'xtnew(iso_eau),deltaD=', &
                    xtnew(iso_eau,il),deltaD &
                    ((xtnew(iso_HDO,il)) &
                    /(xtnew(iso_eau,il)))
-                  write(*,*) 'xtp_cas(iso_eau),deltaD=', &
+                  WRITE(*,*) 'xtp_cas(iso_eau),deltaD=', &
                    xtp_cas(iso_eau,il),deltaD &
                    (xtp_cas(iso_HDO,il)/xtp_cas(iso_eau,il))
-                  write(*,*) 'Eqi_stewart(il),fac_ftmr_cas(il)=', &
+                  WRITE(*,*) 'Eqi_stewart(il),fac_ftmr_cas(il)=', &
                         Eqi_stewart(il),fac_ftmr_cas(il)
-                  write(*,*) 'Eqi_prime_cas(il)=', &
+                  WRITE(*,*) 'Eqi_prime_cas(il)=', &
                         Eqi_prime_cas(il)
-                  write(*,*) 'deltaD_Eqi_stewart=', &
+                  WRITE(*,*) 'deltaD_Eqi_stewart=', &
                         deltaD(( &
                         Exi_stewart(iso_HDO,il)/Eqi_stewart(il)))
-                  write(*,*) 'xtnew-xtp_avantevap_cas,deltaD=', &
+                  WRITE(*,*) 'xtnew-xtp_avantevap_cas,deltaD=', &
                       xtnew(iso_eau,il)-xtp_avantevap_cas(iso_eau,il), &
                       deltaD(((xtnew(iso_HDO,il) &
@@ -11494,58 +11380,57 @@
                       (xtnew(iso_eau,il) &
                       -xtp_avantevap_cas(iso_eau,il))))
-                  write(*,*) 'Pqisup,deltaD=', &
+                  WRITE(*,*) 'Pqisup,deltaD=', &
                         Pqisup_cas(il),deltaD(( &
                         Pxtisup_cas(iso_HDO,il)/Pqisup_cas(il)))
                   stop
                 endif
-        endif !if (iso_HDO.gt.0) then
-       endif !if (oktrac.eq.1) then
+        endif !if (iso_HDO.gt.0) THEN
+       endif !if (oktrac.eq.1) THEN
 #endif
 !#ifdef ISOTRAC
-          if (oktrac.eq.0) then
-            if (iso_eau.gt.0) then
+          if (oktrac.eq.0) THEN
+            if (iso_eau.gt.0) THEN
               if (iso_verif_egalite_choix_nostop(xtp_cas(iso_eau,il), &
               qp_cas(il),'appel stewart 688', &
-                errmax,errmaxrel*30).eq.1) then
-                  write(*,*) 'il=',il                   
-                  write(*,*) 'q,xtp_avantevap_cas(iso_eau)=', &
+                errmax,errmaxrel*30).eq.1) THEN
+                  WRITE(*,*) 'il=',il
+                  WRITE(*,*) 'q,xtp_avantevap_cas(iso_eau)=', &
                    qp_avantevap_cas(il), &
                    xtp_avantevap_cas(iso_eau,il)
-                  write(*,*) 'xtnew,qp,xtpcas=', &
+                  WRITE(*,*) 'xtnew,qp,xtpcas=', &
                    xtnew(iso_eau,il),qp_cas(il),xtp_cas(iso_eau,il)
-                  write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-                  write(*,*) 'Eqi_prime_cas(il)=', &
+                  WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+                  WRITE(*,*) 'Eqi_prime_cas(il)=', &
                         Eqi_prime_cas(il)
-                  write(*,*) 'Eqi_stewart, Exi_stewart=', &
+                  WRITE(*,*) 'Eqi_stewart, Exi_stewart=', &
                         Eqi_stewart(il), &
                         Exi_stewart(iso_eau,il)
-                  write(*,*) 'Pqisup=',Pqisup_cas(il)
+                  WRITE(*,*) 'Pqisup=',Pqisup_cas(il)
                  stop
               endif !if (iso_verif_egalite_choix_nostop(xtp_cas(iso_eau,il),
-           endif !if (iso_eau.gt.0) then
-
+           endif !if (iso_eau.gt.0) THEN
            if ((iso_HDO.gt.0).and. &
-                (qp_cas(il).gt.ridicule)) then
+                (qp_cas(il).gt.ridicule)) THEN
              if (iso_verif_aberrant_nostop(xtp_cas(iso_HDO,il)/ &
               qp_cas(il), &
-              'appel_stewart_np 1079').eq.1) then
-               write(*,*) 'i,qp(cas_evap_liq(il),i)=', &
+              'appel_stewart_np 1079').eq.1) THEN
+               WRITE(*,*) 'i,qp(cas_evap_liq(il),i)=', &
                         i,qp_cas(il)
-               write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-               write(*,*) 'deltaDxtnew=',deltaD(( &
+               WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+               WRITE(*,*) 'deltaDxtnew=',deltaD(( &
                 xtnew(iso_HDO,il))/qp_cas(il))
                stop
              endif
-           endif !if (iso_HDO.gt.0) then 
-        endif ! if (oktrac.eq.0) then
+           endif !if (iso_HDO.gt.0) THEN
+        endif ! if (oktrac.eq.0) THEN
 #endif              
 
-          else !if (fac_ftmr.gt.0.0) then
+          else !if (fac_ftmr.gt.0.0) THEN
               ! ca veut dire que Mp=0, xtp pas définit
              do ixt=1,niso
                xtp_cas(ixt,il)=xtp_avantevaptrac_cas(ixt,il)
              enddo !do ixt=1,niso
-         endif !if (fac_ftmr.gt.0.0) then
-      else !if (i.lt.INB) then
+         endif !if (fac_ftmr.gt.0.0) THEN
+      else !if (i.lt.INB) THEN
           ! si i=inb, on ne change rien au calcul original, et on
           ! suppose que la composition du ddft est égale à celle de
@@ -11556,5 +11441,5 @@
                     !dans ce cas là
                   enddo
-      endif !if (i.lt.INB) then
+      endif !if (i.lt.INB) THEN
       enddo !do il=1,ncas
 
@@ -11571,16 +11456,16 @@
       do il=1,ncas
 #ifdef ISOTRAC
-        if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) then
-          if (oktrac.eq.1) then
+        if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
+          if (oktrac.eq.1) THEN
               CALL iso_verif_aberrant_choix( &
                 xtp_cas(iso_HDO,il),xtp_cas(iso_eau,il), &
                 ridicule_trac,deltalimtrac,'appel_stewart_np 2138')
           endif
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
 #endif
       enddo !do il=1,ncas  
       
-      if (oktrac.eq.0) then
-      if (iso_eau.gt.0) then
+      if (oktrac.eq.0) THEN
+      if (iso_eau.gt.0) THEN
        do il=1,ncas       
         if (iso_verif_egalite_choix_nostop( &
@@ -11588,38 +11473,38 @@
                  qp_cas(il), &
                 'appel stewart 197', &
-                errmax,errmaxrel*50).eq.1) then
-          write(*,*) 'i=',i,' INB=',INB_cas(il)
-          write(*,*) 'Tevap=',T_cas(il)
-          write(*,*) 'xtp(iso_eau,il,i)=',xtp_cas(iso_eau,il)
-          write(*,*) 'qp(il,i)=',qp_cas(il)
-          write(*,*) 'xtnew(iso_eau)=',xtnew(iso_eau,il)
-          write(*,*) 'fac_ftmr=',fac_ftmr_cas(il)
-!          write(*,*) 'Mp(il,i)=',Mp(cas_evap_liq(il),i)
-          write(*,*) 'xtp_avantevap(iso_eau)=', &
+                errmax,errmaxrel*50).eq.1) THEN
+          WRITE(*,*) 'i=',i,' INB=',INB_cas(il)
+          WRITE(*,*) 'Tevap=',T_cas(il)
+          WRITE(*,*) 'xtp(iso_eau,il,i)=',xtp_cas(iso_eau,il)
+          WRITE(*,*) 'qp(il,i)=',qp_cas(il)
+          WRITE(*,*) 'xtnew(iso_eau)=',xtnew(iso_eau,il)
+          WRITE(*,*) 'fac_ftmr=',fac_ftmr_cas(il)
+!          WRITE(*,*) 'Mp(il,i)=',Mp(cas_evap_liq(il),i)
+          WRITE(*,*) 'xtp_avantevap(iso_eau)=', &
                 xtp_avantevap_cas(iso_eau,il)
-          write(*,*) 'qp_avantevap=',qp_avantevap_cas(il)
-!          write(*,*) 'Exi_prime(iso_eau)=',Exi_prime(iso_eau,il)
-!          write(*,*) 'Eqi_prime=',Eqi_prime(il)       
-          write(*,*) 'Pxtiinf_stewart(iso_eau)=', &
+          WRITE(*,*) 'qp_avantevap=',qp_avantevap_cas(il)
+!          WRITE(*,*) 'Exi_prime(iso_eau)=',Exi_prime(iso_eau,il)
+!          WRITE(*,*) 'Eqi_prime=',Eqi_prime(il)
+          WRITE(*,*) 'Pxtiinf_stewart(iso_eau)=', &
                  Pxtiinf_stewart(iso_eau,il)
-!          write(*,*) 'Pqiinf_par=',Pqiinf_par(cas_evap_liq(il))
-          write(*,*) 'Pxtisup(iso_eau)=',Pxtisup_cas(iso_eau,il)
-          write(*,*) 'Pqisup=',Pqisup_cas(il)
+!          WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(cas_evap_liq(il))
+          WRITE(*,*) 'Pxtisup(iso_eau)=',Pxtisup_cas(iso_eau,il)
+          WRITE(*,*) 'Pqisup=',Pqisup_cas(il)
           stop
          endif !if iso_verif_egalite_choix_nostop
         enddo !do il=1,ncas
-      endif !if (iso_eau.gt.0) then
-      if (iso_HDO.gt.0) then            
+      endif !if (iso_eau.gt.0) THEN
+      if (iso_HDO.gt.0) THEN
        do il=1,ncas
-!        write(*,*) 'appel_stewart_np 2166: fin make_cas_evap_liq_np, ',
+!        WRITE(*,*) 'appel_stewart_np 2166: fin make_cas_evap_liq_np, ',
 !     :        'il,deltaDqp=',il,deltaD(xtp_cas(iso_HDO,il)/qp_cas(il))
-        if (qp_cas(il).gt.ridicule) then
+        if (qp_cas(il).gt.ridicule) THEN
           CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
                 'appel_stewart_np 1130')
-        endif !if (qp(cas_evap_liq(il),i).gt.ridicule) then
+        endif !if (qp(cas_evap_liq(il),i).gt.ridicule) THEN
        enddo !do il=1,ncas     
       endif 
-      endif ! if (oktrac.eq.0) then
+      endif ! if (oktrac.eq.0) THEN
 #endif
 
@@ -11688,6 +11573,6 @@
 
 #ifdef ISOVERIF  
-!      write(*,*) 'appel_stewart_np 2052: entrée dans make_cas_evap_glace'
-      if (iso_eau.gt.0) then
+!      WRITE(*,*) 'appel_stewart_np 2052: entrée dans make_cas_evap_glace'
+      if (iso_eau.gt.0) THEN
           do il=1,ncas
             CALL iso_verif_egalite_choix( &
@@ -11701,5 +11586,5 @@
              errmax,errmaxrel)
            enddo !do il=1,ncas 
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
 #endif    
      
@@ -11715,5 +11600,5 @@
       !    Eqi_prime sont les même que Eqi_par
 
-      if (frac_sublim.eq.1) then
+      if (frac_sublim.eq.1) THEN
             CALL stewart_glace_vectall(ncas, &
              qp_avantevap_cas(1),xtp_avantevap_cas(1,1),Pqisup_cas(1), &
@@ -11722,12 +11607,12 @@
              fac_ftmr_cas(1), &
              T_cas(1))
-      else !if (frac_sublim.eq.1) then
+      else !if (frac_sublim.eq.1) THEN
 !#ifdef ISOVERIF
-!            write(*,*) 'appel_stewart_explicite_np 2269'
-!            write(*,*) 'Pqiinf_stewart(1)=',Pqiinf_stewart(1) 
-!            write(*,*) 'Pqisup_cas(1)=',Pqisup_cas(1) 
-!            write(*,*) 'Eqi_cas(1)=',Eqi_cas(1) 
-!            write(*,*) 'Eqi_prime_cas(1)=',Eqi_prime_cas(1) 
-!            write(*,*) 'Eqi_stewart(1)=',Eqi_stewart(1)
+!            WRITE(*,*) 'appel_stewart_explicite_np 2269'
+!            WRITE(*,*) 'Pqiinf_stewart(1)=',Pqiinf_stewart(1)
+!            WRITE(*,*) 'Pqisup_cas(1)=',Pqisup_cas(1)
+!            WRITE(*,*) 'Eqi_cas(1)=',Eqi_cas(1)
+!            WRITE(*,*) 'Eqi_prime_cas(1)=',Eqi_prime_cas(1)
+!            WRITE(*,*) 'Eqi_stewart(1)=',Eqi_stewart(1)
 !#endif          
             CALL stewart_sublim_nofrac_vectall( &
@@ -11738,10 +11623,8 @@
               Pxtiinf_stewart(1,1),xtnew(1,1),Exi_stewart(1,1), &
               fac_ftmr_cas(1))
-      endif !if (frac_sublim.eq.1) then
-      
-
-#ifdef ISOVERIF
-!       write(*,*) 'appel_stewart_np 2096: dans make_cas_evap_glace'
-       if (iso_eau.gt.0) then
+      endif !if (frac_sublim.eq.1) THEN
+#ifdef ISOVERIF
+!       WRITE(*,*) 'appel_stewart_np 2096: dans make_cas_evap_glace'
+       if (iso_eau.gt.0) THEN
           do il=1,ncas       
              CALL iso_verif_egalite_choix( &
